# Docs For Class FileMaker_Command_FindAll

## Class FileMaker_Command_FindAll

Description

Command class that finds all records from a layout.

Create this command with FileMaker::newFindAllCommand().

Located in /FileMaker/Command/FindAll.php (line 29)

    FileMaker_Command
       |
       --FileMaker_Command_Find
          |
          --FileMaker_Command_FindAll

Methods

#### Inherited Methods

Inherited From FileMaker_Command_Find

> FileMaker_Command_Find::addFindCriterion()
> FileMaker_Command_Find::addSortRule()
> FileMaker_Command_Find::clearFindCriteria()
> FileMaker_Command_Find::clearSortRules()
> FileMaker_Command_Find::getRange()
> FileMaker_Command_Find::getRelatedSetsFilters()
> FileMaker_Command_Find::setLogicalOperator()
> FileMaker_Command_Find::setRange()
> FileMaker_Command_Find::setRelatedSetsFilters()

Inherited From FileMaker_Command

> FileMaker_Command::execute()
> FileMaker_Command::setPreCommandScript()
> FileMaker_Command::setPreSortScript()
> FileMaker_Command::setRecordClass()
> FileMaker_Command::setRecordId()
> FileMaker_Command::setResultLayout()
> FileMaker_Command::setScript()
> FileMaker_Command::validate()

Documentation generated on Mon, 28 Jul 2008 14:47:44 -0700 by phpDocumentor 1.4.0